com.hazelcast.wan.merkletree

## Class ConsistencyCheckResult

- java.lang.Object
- - com.hazelcast.wan.merkletree.ConsistencyCheckResult

-     public class ConsistencyCheckResult
      extends Object

  Result of the last WAN consistency check result

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsistencyCheckResult()`
    `ConsistencyCheckResult(int lastCheckedPartitionCount, int lastDiffPartitionCount, int lastCheckedLeafCount, int lastDiffLeafCount, int lastEntriesToSync)` Constructs the result of the WAN consistency check comparison

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getDiffPercentage()`
    `int` | `getLastCheckedLeafCount()`
    `int` | `getLastCheckedPartitionCount()`
    `int` | `getLastDiffLeafCount()`
    `int` | `getLastDiffPartitionCount()`
    `int` | `getLastEntriesToSync()`
    `boolean` | `isDone()`
    `boolean` | `isRunning()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsistencyCheckResult

          public ConsistencyCheckResult()

    - #### ConsistencyCheckResult

          public ConsistencyCheckResult(int lastCheckedPartitionCount,
                                        int lastDiffPartitionCount,
                                        int lastCheckedLeafCount,
                                        int lastDiffLeafCount,
                                        int lastEntriesToSync)

      Constructs the result of the WAN consistency check comparison
      Parameters:
        `lastCheckedPartitionCount` - the number of last checked partitions
        `lastDiffPartitionCount` - the number of different partitions
        `lastCheckedLeafCount` - the number of the checked Merkle tree leaves
        `lastDiffLeafCount` - the number of the Merkle trees found different
        `lastEntriesToSync` - the number of the entries need to

  - ### Method Detail

    - #### getLastCheckedPartitionCount

          public int getLastCheckedPartitionCount()

    - #### getLastDiffPartitionCount

          public int getLastDiffPartitionCount()

    - #### getLastCheckedLeafCount

          public int getLastCheckedLeafCount()

    - #### getLastDiffLeafCount

          public int getLastDiffLeafCount()

    - #### getLastEntriesToSync

          public int getLastEntriesToSync()

    - #### isRunning

          public boolean isRunning()

    - #### getDiffPercentage

          public float getDiffPercentage()

    - #### isDone

          public boolean isDone()

Copyright © 2019. All rights reserved.